package com.zyc.system.mapper;

import java.util.List;
import com.zyc.system.domain.DataCenters;

/**
 * 数据中心Mapper接口
 * 
 * @author zyc
 * @date 2024-12-26
 */
public interface DataCentersMapper 
{
    /**
     * 查询数据中心
     * 
     * @param id 数据中心主键
     * @return 数据中心
     */
    public DataCenters selectDataCentersById(Integer id);

    /**
     * 查询数据中心列表
     * 
     * @param dataCenters 数据中心
     * @return 数据中心集合
     */
    public List<DataCenters> selectDataCentersList(DataCenters dataCenters);

    /**
     * 新增数据中心
     * 
     * @param dataCenters 数据中心
     * @return 结果
     */
    public int insertDataCenters(DataCenters dataCenters);

    /**
     * 修改数据中心
     * 
     * @param dataCenters 数据中心
     * @return 结果
     */
    public int updateDataCenters(DataCenters dataCenters);

    /**
     * 删除数据中心
     * 
     * @param id 数据中心主键
     * @return 结果
     */
    public int deleteDataCentersById(Integer id);

    /**
     * 批量删除数据中心
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDataCentersByIds(Integer[] ids);
}
